import React, { Suspense, lazy } from 'react';
import { ShimmerEffect } from '../ShimmerEffect/index.js';
const LazyEditor = /*#__PURE__*/ lazy(()=>import('./CodeEditor.js'));
export const CodeEditor = (props)=>{
    const { height = '35vh' } = props;
    return /*#__PURE__*/ React.createElement(Suspense, {
        fallback: /*#__PURE__*/ React.createElement(ShimmerEffect, {
            height: height
        })
    }, /*#__PURE__*/ React.createElement(LazyEditor, {
        ...props,
        height: height
    }));
};

//# sourceMappingURL=index.js.map