'use client';
import { getTranslation } from '@payloadcms/translations';
import { useTranslation } from '@payloadcms/ui/providers/Translation';
import React from 'react';
export const ArrayCell = ({ cellData, labels })=>{
    const { i18n } = useTranslation();
    const arrayFields = cellData ?? [];
    const label = `${arrayFields.length} ${getTranslation(labels?.plural || i18n.t('general:rows'), i18n)}`;
    return /*#__PURE__*/ React.createElement("span", null, label);
};

//# sourceMappingURL=index.js.map