'use client';
import { Thumbnail } from '@payloadcms/ui/elements/Thumbnail';
import React from 'react';
const baseClass = 'file';
export const FileCell = ({ cellData: filename, customCellContext, rowData })=>{
    const { collectionSlug, uploadConfig } = customCellContext;
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement(Thumbnail, {
        className: `${baseClass}__thumbnail`,
        collectionSlug: collectionSlug,
        doc: {
            ...rowData,
            filename
        },
        fileSrc: rowData?.thumbnailURL || rowData?.url,
        size: "small",
        uploadConfig: uploadConfig
    }), /*#__PURE__*/ React.createElement("span", {
        className: `${baseClass}__filename`
    }, String(filename)));
};

//# sourceMappingURL=index.js.map