import type { FieldBase } from 'payload/types';
import React from 'react';
import './index.scss';
import type { FieldPermissions } from 'payload/auth';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
import type { FormFieldBase } from '../shared/index.js';
export type CollapsibleFieldProps = FormFieldBase & {
    fieldMap: FieldMap;
    initCollapsed?: boolean;
    label?: FieldBase['label'];
    permissions: FieldPermissions;
    width?: string;
};
export declare const Collapsible: React.FC<CollapsibleFieldProps>;
//# sourceMappingURL=index.d.ts.map