import type { FieldPermissions } from 'payload/auth';
import type { FieldBase } from 'payload/types';
import React from 'react';
import type { FieldMap } from '../../providers/ComponentMap/buildComponentMap/types.js';
import type { FormFieldBase } from '../shared/index.js';
import './index.scss';
import { GroupProvider, useGroup } from './provider.js';
export type GroupFieldProps = FormFieldBase & {
    fieldMap: FieldMap;
    forceRender?: boolean;
    hideGutter?: boolean;
    label?: FieldBase['label'];
    name?: string;
    permissions: FieldPermissions;
    width?: string;
};
export { GroupProvider, useGroup };
export declare const Group: React.FC<GroupFieldProps>;
//# sourceMappingURL=index.d.ts.map