import type { I18n } from '@payloadcms/translations';
import type { AdminViewProps, EditViewProps, Payload, SanitizedConfig } from 'payload/types';
import React from 'react';
import type { ComponentMap } from './types.js';
export declare const buildComponentMap: (args: {
    DefaultEditView: React.FC<EditViewProps>;
    DefaultListView: React.FC<AdminViewProps>;
    children: React.ReactNode;
    config: SanitizedConfig;
    i18n: I18n;
    payload: Payload;
    readOnly?: boolean;
}) => {
    componentMap: ComponentMap;
    wrappedChildren: React.ReactNode;
};
//# sourceMappingURL=index.d.ts.map