'use client';
import React from 'react';
import { useDocumentInfo } from '../../../../../providers/DocumentInfo/index.js';
import { baseClass } from '../../Tab/index.js';
export const VersionsPill = ()=>{
    const { versions } = useDocumentInfo();
    if (versions?.totalDocs > 0) {
        return /*#__PURE__*/ React.createElement("span", {
            className: `${baseClass}__count`
        }, versions?.totalDocs?.toString());
    }
    return null;
};

//# sourceMappingURL=index.js.map