import type { I18n } from '@payloadcms/translations';
import type { Permissions } from 'payload/auth';
import type { SanitizedCollectionConfig, SanitizedConfig, SanitizedGlobalConfig } from 'payload/types';
import React from 'react';
import './index.scss';
export declare const DocumentHeader: React.FC<{
    collectionConfig?: SanitizedCollectionConfig;
    config: SanitizedConfig;
    customHeader?: React.ReactNode;
    globalConfig?: SanitizedGlobalConfig;
    hideTabs?: boolean;
    i18n: I18n;
    permissions: Permissions;
}>;
//# sourceMappingURL=index.d.ts.map