import React from 'react';
import './index.scss';
import type { Data, FileSizes, SanitizedCollectionConfig } from 'payload/types';
export type FileDetailsProps = {
    canEdit?: boolean;
    collectionSlug: string;
    doc: Data & {
        sizes?: FileSizes;
    };
    handleRemove?: () => void;
    hasImageSizes?: boolean;
    imageCacheTag?: string;
    uploadConfig: SanitizedCollectionConfig['upload'];
};
export declare const FileDetails: React.FC<FileDetailsProps>;
//# sourceMappingURL=index.d.ts.map