'use client';
import React from 'react';
import { useNav } from '../context.js';
export const NavWrapper = (props)=>{
    const { baseClass, children } = props;
    const { navOpen, navRef } = useNav();
    return /*#__PURE__*/ React.createElement("aside", {
        className: [
            baseClass,
            navOpen && `${baseClass}--nav-open`
        ].filter(Boolean).join(' ')
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__scroll`,
        ref: navRef
    }, children));
};

//# sourceMappingURL=index.js.map