import React from 'react';
export const CodeCell = ({ cellData, nowrap })=>{
    const textToShow = cellData.length > 100 ? `${cellData.substring(0, 100)}\u2026` : cellData;
    const noWrapStyle = nowrap ? {
        whiteSpace: 'nowrap'
    } : {};
    return /*#__PURE__*/ React.createElement("code", {
        className: "code-cell",
        style: noWrapStyle
    }, /*#__PURE__*/ React.createElement("span", null, textToShow));
};

//# sourceMappingURL=index.js.map