import React from 'react';
import { Search } from '../../../../graphics/Search/index.js';
import { useTranslation } from '../../../../providers/Translation/index.js';
const baseClass = 'block-search';
export const BlockSearch = (props)=>{
    const { setSearchTerm } = props;
    const { t } = useTranslation();
    const handleChange = (e)=>{
        setSearchTerm(e.target.value);
    };
    return /*#__PURE__*/ React.createElement("div", {
        className: baseClass
    }, /*#__PURE__*/ React.createElement("input", {
        className: `${baseClass}__input`,
        onChange: handleChange,
        placeholder: t('fields:searchForBlock')
    }), /*#__PURE__*/ React.createElement(Search, null));
};

//# sourceMappingURL=index.js.map