import React from 'react';
const baseClass = 'template-minimal';
export const MinimalTemplate = (props)=>{
    const { children, className, style = {}, width = 'normal' } = props;
    const classes = [
        className,
        baseClass,
        `${baseClass}--width-${width}`
    ].filter(Boolean).join(' ');
    return /*#__PURE__*/ React.createElement("section", {
        className: classes,
        style: style
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__wrap`
    }, children));
};

//# sourceMappingURL=index.js.map